Enumerations

# transparency_widget.h File Reference

Types related to the transparency widgets. More...

Go to the source code of this file.

## Enumerations
enum | TransparencyToolbarWidgets { WID_TT_BEGIN, WID_TT_SIGNS = WID_TT_BEGIN, WID_TT_TREES, WID_TT_HOUSES, WID_TT_INDUSTRIES, WID_TT_BUILDINGS, WID_TT_BRIDGES, WID_TT_STRUCTURES, WID_TT_CATENARY, WID_TT_LOADING, WID_TT_END, WID_TT_BUTTONS }
| Widgets of the TransparenciesWindow class. More...

## Detailed Description

Types related to the transparency widgets.

Definition in file transparency_widget.h.

## Enumeration Type Documentation

enum TransparencyToolbarWidgets

Widgets of the TransparenciesWindow class.

Enumerator:

  WID_TT_BEGIN | First toggle button.
  WID_TT_SIGNS | Signs background transparency toggle button.
  WID_TT_TREES | Trees transparency toggle button.
  WID_TT_HOUSES | Houses transparency toggle button.
  WID_TT_INDUSTRIES | industries transparency toggle button.
  WID_TT_BUILDINGS | Company buildings and structures transparency toggle button.
  WID_TT_BRIDGES | Bridges transparency toggle button.
  WID_TT_STRUCTURES | Object structure transparency toggle button.
  WID_TT_CATENARY | Catenary transparency toggle button.
  WID_TT_LOADING | Loading indicators transparency toggle button.
  WID_TT_END | End of toggle buttons.
  WID_TT_BUTTONS | Panel with 'invisibility' buttons.

Definition at line 16 of file transparency_widget.h.